PICOP_R7R4_Type Union Reference

## Data Fields

struct {
uint32_t R0:8
uint32_t R1:8
uint32_t R2:8
uint32_t R3:8
} | bit
uint32_t | reg

## Detailed Description

Definition at line 768 of file picop.h.

## Field Documentation

## bit

struct { ... } PICOP_R7R4_Type::bit

Structure used for bit access

## R0

uint32_t PICOP_R7R4_Type::R0

bit: 0.. 7 Register 0

Definition at line 770 of file picop.h.

## R1

uint32_t PICOP_R7R4_Type::R1

bit: 8..15 Register 1

Definition at line 771 of file picop.h.

## R2

uint32_t PICOP_R7R4_Type::R2

bit: 16..23 Register 2

Definition at line 772 of file picop.h.

## R3

uint32_t PICOP_R7R4_Type::R3

bit: 24..31 Register 3

Definition at line 773 of file picop.h.

## reg

uint32_t PICOP_R7R4_Type::reg

Type used for register access

Definition at line 775 of file picop.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/picop.h